//新修订的版本,增加对象和方法的判断
//去除path、host参数
var slardarBridge = {};

slardarBridge.checkUsedFull = function (value) {
    return typeof value !== "undefined" && value !== null && value !== "";
};

slardarBridge.isFunction = function (what) {
    return typeof what === 'function';
};

slardarBridge.appendCommonParams = function (dataObj) {
    dataObj.url = location.href;
};

slardarBridge.cover = function (dataObj, serviceStr) {
    if(!slardarBridge.checkUsedFull(dataObj)){
        return
    }
    if(!slardarBridge.checkUsedFull(window.iesJsBridgeTransferMonitor)){
        return
    }
    if(!slardarBridge.isFunction(window.iesJsBridgeTransferMonitor.cover)){
        return
    }
    slardarBridge.appendCommonParams(dataObj);
    dataObj.service = serviceStr;
    var dataJson = JSON.stringify(dataObj);
    iesJsBridgeTransferMonitor.cover(dataJson, serviceStr);
};

slardarBridge.accumulate = function (dataObj, serviceStr) {
     if(!slardarBridge.checkUsedFull(dataObj)){
         return
      }
     if(!slardarBridge.checkUsedFull(window.iesJsBridgeTransferMonitor)){
         return
      }
     if(!slardarBridge.isFunction(window.iesJsBridgeTransferMonitor.accumulate)){
         return
     }
    slardarBridge.appendCommonParams(dataObj);
    dataObj.service = serviceStr;
    var dataJson = JSON.stringify(dataObj);
    iesJsBridgeTransferMonitor.accumulate(dataJson, serviceStr);
};

slardarBridge.reportDirectly = function (dataObj, serviceStr) {
    if(!slardarBridge.checkUsedFull(dataObj)){
         return
      }
     if(!slardarBridge.checkUsedFull(window.iesJsBridgeTransferMonitor)){
         return
      }
     if(!slardarBridge.isFunction(window.iesJsBridgeTransferMonitor.reportDirectly)){
         return
     }
    slardarBridge.appendCommonParams(dataObj);
    dataObj.service = serviceStr;
    var dataJson = JSON.stringify(dataObj);
    iesJsBridgeTransferMonitor.reportDirectly(dataJson, serviceStr);
};

slardarBridge.average = function (dataObj, serviceStr) {
    if(!slardarBridge.checkUsedFull(dataObj)){
        return
      }
    if(!slardarBridge.checkUsedFull(window.iesJsBridgeTransferMonitor)){
         return
      }
     if(!slardarBridge.isFunction(window.iesJsBridgeTransferMonitor.average)){
         return
      }

    slardarBridge.appendCommonParams(dataObj);
    dataObj.service = serviceStr;
    var dataJson = JSON.stringify(dataObj);
    iesJsBridgeTransferMonitor.average(dataJson, serviceStr);
};

slardarBridge.diff = function (dataObj, serviceStr) {
    if(!slardarBridge.checkUsedFull(dataObj)){
        return
     }
     if(!slardarBridge.checkUsedFull(window.iesJsBridgeTransferMonitor)){
        return
     }
     if(!slardarBridge.isFunction(window.iesJsBridgeTransferMonitor.diff)){
        return
    }
    dataObj.service = serviceStr;
    var dataJson = JSON.stringify(dataObj);
    iesJsBridgeTransferMonitor.diff(dataJson, serviceStr);
};


slardarBridge.sendInitTimeInfo = function (dataJson) {
    if(!slardarBridge.checkUsedFull(dataObj)){
        return
     }
     if(!slardarBridge.checkUsedFull(window.iesJsBridgeTransferMonitor)){
        return
     }
     if(!slardarBridge.isFunction(window.iesJsBridgeTransferMonitor.sendInitTimeInfo)){
        return
    }
    iesJsBridgeTransferMonitor.sendInitTimeInfo(dataJson);
};

window.jsIESLiveTimingMonitor = slardarBridge;

//add listener to notify init time
window.addEventListener("DOMContentLoaded", function () {
    window.setTimeout(function () {
        if (window.history.length <= 1) {
            var time = new Date().getTime() - performance.timing.navigationStart;
            time = time > 0 ? parseInt(time) : 0;
            slardarBridge.sendInitTimeInfo(time + "")
        }
    }, 0);
});