package com.ss.android.auto.launch.tasks.diskclean

import android.content.Context
import com.ss.android.auto.diskclean.strategy.DiskCleanStrategy
import com.ss.android.auto.diskclean.task.AbsDiskCleanTask
import com.ss.ttvideoengine.TTVideoEngine
import java.io.File

class VideoPreloadDiskCleanTask : AbsDiskCleanTask() {

    override fun desc(): String? {
        return "为了提升首帧，预加载小视频"
    }

    override fun cacheDestDir(context: Context?): File? {
        return null
    }

    override fun cleanStrategies(): List<DiskCleanStrategy>? {
        return emptyList()
    }

    override fun execute(context: Context?) {
        TTVideoEngine.clearAllCaches()
    }


}