package com.ss.android.auto.opt

import android.content.Context
import android.os.Build
import android.os.Looper
import android.view.LayoutInflater
import android.webkit.WebSettings
import com.ss.android.auto.R

class ViewInflateOpt {
    companion object {

        private val sLayoutList = listOf(
                R.layout.old_feed_article_img_three_layout, // 112
                R.layout.feed_banner_card_new, //122
                R.layout.old_feed_video_large_layout, // 116
                R.layout.feed_xg_live_layout_v2, // 183
                R.layout.global_card_recycle_item_ad_video, //3121
                R.layout.ugc_video_card_v1, // 3362
                R.layout.ugc_image_text_card_v1 // 3364
        )

        @JvmStatic
        fun preInflate(context: Context) {
            Thread() {

//                if (Build.VERSION.SDK_INT >= Build.VERSION_CODES.JELLY_BEAN_MR1) {
//                    WebSettings.getDefaultUserAgent(context)
//                }

                val inflater = LayoutInflater.from(context)
                Looper.prepare()
                sLayoutList.forEach {
                    try {
                        inflater.inflate(it, null, false)
                    } catch (e: Throwable) {
                        e.printStackTrace()
                    }
                }
                Looper.myLooper().quit()
                ViewOpt.log(" ==== preInflate end", 0)
            }.start()

        }
    }
}