package com.ss.android.account.model

class MineCarModel {
    val weather_info: WeatherInfo? = null
    val traffic_control: TrafficControl? = null
    val main_car_info: MainCarInfo? = null
    val title: String? = null
    val city_name: String? = null
    val more_title: String? = null
    val more_schema: String? = null
    val sub_card_list: List<Cell>? = null

    data class WeatherInfo(
            val info: String? = null,
            val proposal: String? = null,
            val temperature: String? = null,
            val icon: String? = null
    )

    data class TrafficControl(
            val title: String? = null,
            val info: List<String>? = null
    )

    data class MainCarInfo(
            val series_id: Int = 0,
            val car_id: Int = 0,
            val is_main_car: Boolean = false,
            val is_verify: Boolean = false,
            val car_name: String? = null,
            val motor_license_no: String? = null,
            val series_name: String? = null,
            val cover: String? = null
    )

    data class Cell(
            val width: Int = 0,
            val height: Int = 0,
            val schema: String? = null,
            val icon: String? = null,
            val title: String? = null
    )
}